import { requireTeacher } from "@/lib/auth/requireTeacher";
import TeacherNewCourseForm from "@/components/teacher/TeacherNewCourseForm";

export default async function TeacherNewCoursePage() {
  await requireTeacher();
  return <TeacherNewCourseForm />;
}
